Uploaded image for project: 'Nuxeo Drive '
  1. Nuxeo Drive
  2. NXDRIVE-1801

Chunk upload is broken on macOS

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Resolved
    • Priority: Blocker
    • Resolution: Fixed
    • Affects Version/s: 4.1.4
    • Fix Version/s: 4.1.4
    • Component/s: Remote client

      Description

      Chunk upload is broken on macOS:

      2019-07-31 15:39:15 19935 123145400516608 DEBUG    nxdrive.client.remote_client Upload progression stopped at 0.00%
      2019-07-31 15:39:15 19935 123145400516608 DEBUG    nxdrive.engine.processor Connection issue
      Traceback (most recent call last):
        File "urllib3/connectionpool.py", line 600, in urlopen
          chunked=chunked)
        File "urllib3/connectionpool.py", line 354, in _make_request
          conn.request(method, url, **httplib_request_kw)
        File "/.../3.7.4/lib/python3.7/http/client.py", line 1244, in request
          self._send_request(method, url, body, headers, encode_chunked)
        File "/.../3.7.4/lib/python3.7/http/client.py", line 1290, in _send_request
          self.endheaders(body, encode_chunked=encode_chunked)
        File "/.../3.7.4/lib/python3.7/http/client.py", line 1239, in endheaders
          self._send_output(message_body, encode_chunked=encode_chunked)
        File "/.../3.7.4/lib/python3.7/http/client.py", line 1065, in _send_output
          self.send(chunk)
        File "/.../3.7.4/lib/python3.7/http/client.py", line 987, in send
          self.sock.sendall(data)
      socket.timeout: timed out
      
      During handling of the above exception, another exception occurred:
      
      Traceback (most recent call last):
        File "requests/adapters.py", line 449, in send
          timeout=timeout
        File "urllib3/connectionpool.py", line 638, in urlopen
          _stacktrace=sys.exc_info()[2])
        File "urllib3/util/retry.py", line 368, in increment
          raise six.reraise(type(error), error, _stacktrace)
        File "urllib3/packages/six.py", line 685, in reraise
          raise value.with_traceback(tb)
        File "urllib3/connectionpool.py", line 600, in urlopen
          chunked=chunked)
        File "urllib3/connectionpool.py", line 354, in _make_request
          conn.request(method, url, **httplib_request_kw)
        File "/.../3.7.4/lib/python3.7/http/client.py", line 1244, in request
          self._send_request(method, url, body, headers, encode_chunked)
        File "/.../3.7.4/lib/python3.7/http/client.py", line 1290, in _send_request
          self.endheaders(body, encode_chunked=encode_chunked)
        File "/.../3.7.4/lib/python3.7/http/client.py", line 1239, in endheaders
          self._send_output(message_body, encode_chunked=encode_chunked)
        File "/.../3.7.4/lib/python3.7/http/client.py", line 1065, in _send_output
          self.send(chunk)
        File "/.../3.7.4/lib/python3.7/http/client.py", line 987, in send
          self.sock.sendall(data)
      urllib3.exceptions.ProtocolError: ('Connection aborted.', timeout('timed out'))
      
      During handling of the above exception, another exception occurred:
      
      Traceback (most recent call last):
        File "engine/processor.py", line 281, in _execute
          sync_handler(doc_pair)
        File "engine/processor.py", line 804, in _synchronize_locally_created
          engine_uid=self.engine.uid,
        File "client/remote_client.py", line 653, in stream_file
          **kwargs,
        File "client/remote_client.py", line 335, in upload
          file_path, filename=filename, mime_type=mime_type, **params
        File "client/remote_client.py", line 448, in upload_chunks
          for _ in uploader.iter_upload():
        File "nuxeo/uploads.py", line 409, in iter_upload
          self.headers,
        File "nuxeo/uploads.py", line 131, in send_data
          resource=data, path=path, raw=True, headers=headers
        File "nuxeo/endpoint.py", line 120, in post
          "POST", endpoint, data=resource, raw=raw, **kwargs
        File "nuxeo/client.py", line 272, in request
          raise self._handle_error(exc)
        File "nuxeo/client.py", line 267, in request
          method, url, headers=headers, auth=self.auth, data=data, **kwargs
        File "requests/sessions.py", line 533, in request
          resp = self.send(prep, **send_kwargs)
        File "requests/sessions.py", line 646, in send
          r = adapter.send(request, **kwargs)
        File "requests/adapters.py", line 498, in send
          raise ConnectionError(err, request=request)
      requests.exceptions.ConnectionError: ('Connection aborted.', timeout('timed out'))
      

        Attachments

          Activity

            People

            • Votes:
              0 Vote for this issue
              Watchers:
              2 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved:

                Time Tracking

                Estimated:
                Original Estimate - Not Specified
                Not Specified
                Remaining:
                Remaining Estimate - 0 minutes
                0m
                Logged:
                Time Spent - 4 hours
                4h

                  PagerDuty